List Workspace API Tokens
curl --request GET \
--url http://127.0.0.1:3333/v3/workspaces/{workspaceId}/api-tokens \
--header 'Authorization: Bearer <token>'import requests
url = "http://127.0.0.1:3333/v3/workspaces/{workspaceId}/api-tokens"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('http://127.0.0.1:3333/v3/workspaces/{workspaceId}/api-tokens', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"tokens": [
{
"id": "<string>",
"name": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"tokenPrefix": "<string>",
"lastUsedAt": "2023-11-07T05:31:56Z",
"expiresAt": "2023-11-07T05:31:56Z",
"revokedAt": "2023-11-07T05:31:56Z",
"createdByUserId": "<string>",
"scopes": [
"workspace:read"
]
}
]
}Workspace API Tokens
List API Tokens
List workspace API tokens.
GET
/
v3
/
workspaces
/
{workspaceId}
/
api-tokens
List Workspace API Tokens
curl --request GET \
--url http://127.0.0.1:3333/v3/workspaces/{workspaceId}/api-tokens \
--header 'Authorization: Bearer <token>'import requests
url = "http://127.0.0.1:3333/v3/workspaces/{workspaceId}/api-tokens"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('http://127.0.0.1:3333/v3/workspaces/{workspaceId}/api-tokens', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"tokens": [
{
"id": "<string>",
"name": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"tokenPrefix": "<string>",
"lastUsedAt": "2023-11-07T05:31:56Z",
"expiresAt": "2023-11-07T05:31:56Z",
"revokedAt": "2023-11-07T05:31:56Z",
"createdByUserId": "<string>",
"scopes": [
"workspace:read"
]
}
]
}